<?php
/**
 * Este processo está responsável por pegar os clientes do sql server e mandar para o banco web
 */
date_default_timezone_set('America/Bahia');
function connWeb(){
  $db = mysqli_connect("mysql60-farm2.uni5.net", "unidosimportad02", "Xtdc122714", "unidosimportad02") or die("Erro ao selecionar banco");
  //   $db = mysqli_connect("localhost", "root", "", "unidos_web") or die("Erro ao selecionar banco");
  mysqli_set_charset($db,"utf8");
  return $db;
}
$connWeb = connWeb();

define('DB_DRIVER'      , "sqlsrv");
define('DB_HOST'        , "192.168.0.237");
define('DB_USER'        , "projetos");
define('DB_PASSWORD'    , "projetos");
define('DB_NAME'        , "UNI");

//Conexão SQLSERVER
class ConnSQLSERVER
{
    private static $connection;

    private function __construct(){}

    public static function getConnection() {

        $pdoConfig  = DB_DRIVER . ":". "Server=" . DB_HOST . ";";
        $pdoConfig .= "Database=".DB_NAME.";";

        try {
            if(!isset($connection)){
                $connection =  new PDO($pdoConfig, DB_USER, DB_PASSWORD);
                $connection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            }
            return $connection;
         } catch (PDOException $e) {
            $mensagem = "Drivers disponiveis: " . implode(",", PDO::getAvailableDrivers());
            $mensagem .= "\nErro: " . $e->getMessage();
            throw new Exception($mensagem);
         }
     }
}
$Conexao = ConnSQLSERVER::getConnection();

//PEGAR TOTAL DE CLIENTES QUE JÁ FORAM CADASTRADOS NO BANCO WEB
$getTotal = mysqli_fetch_array(mysqli_query($connWeb, "SELECT COUNT(*) as total FROM cod_user"));

/**
 * Listar Clientes do Web
 */
$query = $Conexao->query("SELECT TOP 100 SQL_CCODCLI,SQL_CNOMCLI,SQL_CARETEL,SQL_CTELCLI,SQL_CEMAIL,SQL_CCGCCLI,SQL_CENDCLI,SQL_CNUMEND,SQL_CCMPEND,SQL_CBAICLI,SQL_CCIDCLI,SQL_CESTCLI,SQL_CCEPCLI,SQL_CCELCLI,SQL_CARECEL  
  FROM CLIENTES_SCR 
  WHERE SQL_CCODCLI NOT IN (SELECT TOP ".$getTotal['total']." SQL_CCODCLI FROM CLIENTES_SCR)
  ORDER BY SQL_CCODCLI ASC");
$getClientes = $query->fetchAll();
if (count($getClientes) > 0) {
  foreach($getClientes as $cliente) {

    $id_cliente = '';

    $email_cliente  = !empty(trim($cliente['SQL_CEMAIL'])) ? trim($cliente['SQL_CEMAIL']) : "";
    $cpf_cliente    = !empty(trim($cliente['SQL_CCGCCLI'])) ? trim($cliente['SQL_CCGCCLI']) : "";
    $cod_cliente    = !empty(trim($cliente['SQL_CCODCLI'])) ? trim($cliente['SQL_CCODCLI']) : "";
    $nome_cliente   = !empty(trim($cliente['SQL_CNOMCLI'])) ? trim($cliente['SQL_CNOMCLI']) : "";
    $tel_cliente    = !empty(trim($cliente['SQL_CTELCLI'])) ? ("(".trim($cliente['SQL_CARETEL']).")"." ".trim($cliente['SQL_CTELCLI'])) : "";
    $cel_cliente    = !empty(trim($cliente['SQL_CCELCLI'])) ? ("(".trim($cliente['SQL_CARECEL']).")"." ".trim($cliente['SQL_CCELCLI'])) : "";

    //ADICIONAR NOVO CLIENTE
    $addCliente = mysqli_query($connWeb, "INSERT INTO cod_user(cliente,tel,cel,email,nome,cpf) 
      VALUES('$cod_cliente','$tel_cliente','$cel_cliente','$email_cliente','$nome_cliente','$cpf_cliente')");

    if ($addCliente) {

      //PEGAR ID DO NOVO CLIENTE
      $getIdCliente = mysqli_fetch_array(mysqli_query($connWeb, "SELECT id FROM cod_user WHERE cpf = '$cpf_cliente'"));
      $id_cliente = $getIdCliente['id'];

    } else { continue; }

    if (!empty($id_cliente)) {
      
      /**
       * ADICIONAR ENDEREÇO DO CLIENTE
       */
      $endereco_cliente   = !empty(trim($cliente['SQL_CENDCLI'])) ? trim($cliente['SQL_CENDCLI']) : "";
      $numero_cliente     = !empty(trim($cliente['SQL_CNUMEND'])) ? trim($cliente['SQL_CNUMEND']) : "";
      $comp_cliente       = !empty(trim($cliente['SQL_CCMPEND'])) ? trim($cliente['SQL_CCMPEND']) : "";
      $bairro_cliente     = !empty(trim($cliente['SQL_CBAICLI'])) ? trim($cliente['SQL_CBAICLI']) : "";
      $cidade_cliente     = !empty(trim($cliente['SQL_CCIDCLI'])) ? trim($cliente['SQL_CCIDCLI']) : "";
      $estado_cliente     = !empty(trim($cliente['SQL_CESTCLI'])) ? trim($cliente['SQL_CESTCLI']) : "";
      $cep_cliente        = !empty(trim($cliente['SQL_CCEPCLI'])) ? trim($cliente['SQL_CCEPCLI']) : "";

      $addEndereco = mysqli_query($connWeb, "INSERT INTO user_endereco(`user_id`,endereco,numero,complemento,bairro,cidade,estado,cep) 
        VALUES('$id_cliente','$endereco_cliente','$numero_cliente','$comp_cliente','$bairro_cliente','$cidade_cliente','$estado_cliente','$cep_cliente')");

    } else { continue; }

  }
}